<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jstl/sql" prefix="sql"%>

<html>
<head>
<title>Updating a database using the sql:update tag</title>
<sql:setDataSource var="dataSource" driver="com.mysql.jdbc.Driver"
	url="jdbc:mysql://localhost:3306/mahendra" user="root" password="root"
	scope="session" />
</head>
<body>
<h3>This is example of update query using JSTL SQL Tags.</h3>
<form method="post">
<table>
	<tr>
		<td>Enter First Name</td>
		<td><input type="text" name="fname"></td>
	</tr>
	<tr>
		<td>Enter Last Name</td>
		<td><input type="text" name="lname"></td>
	</tr>
	<tr>
		<td>Enter Salary</td>
		<td><input type="text" name="salary"></td>
	</tr>
	<tr>
		<td>Enter Total Bonus</td>
		<td><input type="text" name="bonus"></td>
	</tr>
	<tr>
		<td></td>
		<td><input type="submit" value="submit"></td>
	</tr>
</table>
</form>
<c:if test="${pageContext.request.method=='POST'}">
	<c:catch var="exception">
		<sql:update dataSource="${dataSource}" var="updatedTable">
    INSERT INTO employee_master (firstname,lastname,salary,tonus) VALUES (?, ?, ?, ?)
    <sql:param value="${param.fname}" />
			<sql:param value="${param.lname}" />
			<sql:param value="${param.salary}" />
			<sql:param value="${param.bonus}" />
		</sql:update>
		<c:if test="${updatedTable>=1}">
			<font size="5" color='green'> Congratulations ! Data inserted
			successfully.</font>
		</c:if>
	</c:catch>
	<c:if test="${exception!=null}">
		<b>Exception : </b>
		<c:out value="${exception}" />
	</c:if>
</c:if>
</body>
</html>